// birb chirper - scruss 2018-02

use <ogive_and_ogee.scad>;
$fn=64;

union() {
    // barrel
    difference() {
        difference() {
            cylinder(d=18, h=40, center=true);
            cylinder(d=18-2.0, h=40, center=true);
        }
        // slot
        rotate([0,0,45])translate([15,6,0])cube([30, 2, 40], center=true);
    }
    // base
    translate([0,0,-20])cylinder(d=18, h=2.0, center=true);
    
    // top - with hole
    translate([0,0,20-0.3])difference(){
            rotate_extrude()difference() {
            ogee((18+0.2) * cos(60), (18) * sin(60));
            ogee((18-2.0) * cos(60), (18-2.0) * sin(60));
        }
        // hole in cap for string
        cylinder(d=3, h=20, $fn=16);
    }
}

